Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_interp_cases.h
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_interp_cases.h	(revision 3605)
@@ -853,8 +34,10 @@
 
 ! vertical interpolation:
-      CALL interp2_case_vertical(play,nlev_cas,plev_prof_cas                                              &
-     &         ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                          &
+      CALL interp2_case_vertical_std(play,nlev_cas,plev_prof_cas                                              &
+     &         ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                       &
      &         ,qv_prof_cas,ql_prof_cas,qi_prof_cas,u_prof_cas,v_prof_cas                                 &
-     &         ,ug_prof_cas,vg_prof_cas,vitw_prof_cas,omega_prof_cas                                      &
+     &         ,ug_prof_cas,vg_prof_cas                                                                   &
+     &         ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas                       &
+     &         ,vitw_prof_cas,omega_prof_cas                                      &
      &         ,du_prof_cas,hu_prof_cas,vu_prof_cas,dv_prof_cas,hv_prof_cas,vv_prof_cas                   &
      &         ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas    &
@@ -862,5 +45,7 @@
 !
      &         ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas,qv_mod_cas,ql_mod_cas,qi_mod_cas          &
-     &         ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas,w_mod_cas,omega_mod_cas                         &
+     &         ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas                                                 &
+     &         ,temp_nudg_mod_cas,qv_nudg_mod_cas,u_nudg_mod_cas,v_nudg_mod_cas                           &
+     &         ,w_mod_cas,omega_mod_cas                                                                   &
      &         ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas                         &
      &         ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas           &
@@ -884,11 +69,30 @@
       d_u_dyn_z(:)=0.
       d_v_dyn_z(:)=0.
-      DO l=2,llm-1
-       d_t_z(l)=(temp(l+1)-temp(l-1))/(play(l+1)-play(l-1))
-       d_th_z(l)=(teta(l+1)-teta(l-1))/(play(l+1)-play(l-1))
-       d_q_z(l)=(q(l+1,1)-q(l-1,1))/(play(l+1)-play(l-1))
-       d_u_z(l)=(u(l+1)-u(l-1))/(play(l+1)-play(l-1))
-       d_v_z(l)=(v(l+1)-v(l-1))/(play(l+1)-play(l-1))
-      ENDDO
+      if (1==0) then
+         DO l=2,llm-1
+          d_t_z(l)=(temp(l+1)-temp(l-1))/(play(l+1)-play(l-1))
+          d_th_z(l)=(teta(l+1)-teta(l-1))/(play(l+1)-play(l-1))
+          d_q_z(l)=(q(l+1,1)-q(l-1,1))/(play(l+1)-play(l-1))
+          d_u_z(l)=(u(l+1)-u(l-1))/(play(l+1)-play(l-1))
+          d_v_z(l)=(v(l+1)-v(l-1))/(play(l+1)-play(l-1))
+         ENDDO
+      else
+         DO l=2,llm-1
+	    IF (omega(l)>0.) THEN
+             d_t_z(l)=(temp(l+1)-temp(l))/(play(l+1)-play(l))
+             d_th_z(l)=(teta(l+1)-teta(l))/(play(l+1)-play(l))
+             d_q_z(l)=(q(l+1,1)-q(l,1))/(play(l+1)-play(l))
+             d_u_z(l)=(u(l+1)-u(l))/(play(l+1)-play(l))
+             d_v_z(l)=(v(l+1)-v(l))/(play(l+1)-play(l))
+	    ELSE
+             d_t_z(l)=(temp(l-1)-temp(l))/(play(l-1)-play(l))
+             d_th_z(l)=(teta(l-1)-teta(l))/(play(l-1)-play(l))
+             d_q_z(l)=(q(l-1,1)-q(l,1))/(play(l-1)-play(l))
+             d_u_z(l)=(u(l-1)-u(l))/(play(l-1)-play(l))
+             d_v_z(l)=(v(l-1)-v(l))/(play(l-1)-play(l))
+	    ENDIF
+	 ENDDO
+      endif
+      d_t_z(1)=d_t_z(2)
       d_t_z(1)=d_t_z(2)
       d_th_z(1)=d_th_z(2)
@@ -902,11 +106,17 @@
       d_v_z(llm)=d_v_z(llm-1)
 
+! TRAVAIL : PRENDRE DES NOTATIONS COHERENTES POUR W
+      do l = 1, llm
+! Modif w_mod_cas -> omega_mod_cas (MM+MPL 20170309)
+       omega(l) = -w_mod_cas(l)*play(l)*rg/(rd*temp(l))
+      enddo
+
 !Calcul de l advection verticale
 ! Modif w_mod_cas -> omega_mod_cas (MM+MPL 20170310)
-      d_t_dyn_z(:)=omega_mod_cas(:)*d_t_z(:)
-      d_th_dyn_z(:)=omega_mod_cas(:)*d_th_z(:)
-      d_q_dyn_z(:)=omega_mod_cas(:)*d_q_z(:)
-      d_u_dyn_z(:)=omega_mod_cas(:)*d_u_z(:)
-      d_v_dyn_z(:)=omega_mod_cas(:)*d_v_z(:)
+      d_t_dyn_z(:)=omega(:)*d_t_z(:)
+      d_th_dyn_z(:)=omega(:)*d_th_z(:)
+      d_q_dyn_z(:)=omega(:)*d_q_z(:)
+      d_u_dyn_z(:)=omega(:)*d_u_z(:)
+      d_v_dyn_z(:)=omega(:)*d_v_z(:)
 
 !geostrophic wind 
@@ -917,91 +127,33 @@
         enddo
       endif
-!wind nudging 
-      if (nudging_u.gt.0.) then
-        do l=1,llm
-           u(l)=u(l)+timestep*(u_mod_cas(l)-u(l))/(nudge_u)
-        enddo
-!     else
-!       do l=1,llm
-!          u(l) = u_mod_cas(l) 
-!       enddo
-      endif
-
-      if (nudging_v.gt.0.) then
-        do l=1,llm
-           v(l)=v(l)+timestep*(v_mod_cas(l)-v(l))/(nudge_v)
-        enddo
-!     else
-!       do l=1,llm
-!          v(l) = v_mod_cas(l) 
-!       enddo
-      endif
-
-      if (nudging_w.gt.0.) then
-        do l=1,llm
-           w(l)=w(l)+timestep*(w_mod_cas(l)-w(l))/(nudge_w)
-        enddo
- !    else
- !      do l=1,llm
- !         w(l) = w_mod_cas(l) 
- !      enddo
-      endif
-
-!nudging of q and temp 
-      if (nudging_t.gt.0.) then
-        do l=1,llm
-           temp(l)=temp(l)+timestep*(t_mod_cas(l)-temp(l))/(nudge_t)
-        enddo
-      endif
-      if (nudging_q.gt.0.) then
-        do l=1,llm
-           q(l,1)=q(l,1)+timestep*(q_mod_cas(l)-q(l,1))/(nudge_q)
-        enddo
-      endif
 
       do l = 1, llm
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! Modif w_mod_cas -> omega_mod_cas (MM+MPL 20170309)
+       !!! omega2(l)= omega(l)/rg*airefi ! flxmass_w calcule comme ds physiq
        omega(l) = omega_mod_cas(l)
-       omega2(l)= omega(l)/rg*airefi ! flxmass_w calcule comme ds physiq
-       alpha = rd*temp(l)*(1.+(rv/rd-1.)*q(l,1))/play(l)
+       omega2(l)= omega_mod_cas(l)/rg*airefi ! flxmass_w calcule comme ds physiq
 
-!calcul advections
-        if ((forc_u.eq.1).and.(forc_w.eq.0)) then
-           d_u_adv(l)=du_mod_cas(l)
-        else if ((forc_u.eq.1).and.(forc_w.eq.1)) then
-           d_u_adv(l)=hu_mod_cas(l)-d_u_dyn_z(l)
-        endif
+! On effectue la somme du forcage total et de la decomposition
+! horizontal/vertical en supposant que soit l'un soit l'autre
+! sont remplis mais jamais les deux
 
-        if ((forc_v.eq.1).and.(forc_w.eq.0)) then
-           d_v_adv(l)=dv_mod_cas(l)
-        else if ((forc_v.eq.1).and.(forc_w.eq.1)) then
-           d_v_adv(l)=hv_mod_cas(l)-d_v_dyn_z(l)
-        endif
+       d_t_adv(l) = dt_mod_cas(l)+ht_mod_cas(l)+vt_mod_cas(l)
+       d_q_adv(l,1) = dq_mod_cas(l)+hq_mod_cas(l)+vq_mod_cas(l)
+       d_q_adv(l,2) = 0.0
+       d_u_adv(l) = du_mod_cas(l)+hu_mod_cas(l)+vu_mod_cas(l)
+       d_v_adv(l) = dv_mod_cas(l)+hv_mod_cas(l)+vv_mod_cas(l)
 
-! Puisque dth a ete converti en dt, on traite de la meme facon 
-! les flags tadv et thadv
-        if ((tadv.eq.1.or.thadv.eq.1) .and. (forc_w.eq.0)) then
-!          d_t_adv(l)=alpha*omega(l)/rcpd-dt_mod_cas(l)
-           d_t_adv(l)=alpha*omega(l)/rcpd+dt_mod_cas(l)
-        else if ((tadv.eq.1.or.thadv.eq.1) .and. (forc_w.eq.1)) then
-!          d_t_adv(l)=alpha*omega(l)/rcpd-ht_mod_cas(l)-d_t_dyn_z(l)
-           d_t_adv(l)=alpha*omega(l)/rcpd+ht_mod_cas(l)-d_t_dyn_z(l)
-        endif
-
-!       if ((thadv.eq.1) .and. (forc_w.eq.0)) then
-!          d_t_adv(l)=alpha*omega(l)/rcpd-dth_mod_cas(l)
-!          d_t_adv(l)=alpha*omega(l)/rcpd+dth_mod_cas(l)
-!       else if ((thadv.eq.1) .and. (forc_w.eq.1)) then
-!          d_t_adv(l)=alpha*omega(l)/rcpd-hth_mod_cas(l)-d_t_dyn_z(l)
-!          d_t_adv(l)=alpha*omega(l)/rcpd+hth_mod_cas(l)-d_t_dyn_z(l)
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!! CONSERVE EN ATTENDANT QUE LE CAS EN QUESTION FONCTIONNE EN STD !!
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!if (forc_w==1) then
+!          d_q_adv(l,1)=d_q_adv(l,1)-d_q_dyn_z(l)
+!          d_t_adv(l)=d_t_adv(l)-d_t_dyn_z(l)
+!          d_v_adv(l)=d_v_adv(l)-d_v_dyn_z(l)
+!          d_u_adv(l)=d_u_adv(l)-d_u_dyn_z(l)
 !       endif
-
-        if ((qadv.eq.1) .and. (forc_w.eq.0)) then
-           d_q_adv(l,1)=dq_mod_cas(l)
-!          d_q_adv(l,1)=-1*dq_mod_cas(l)
-        else if ((qadv.eq.1) .and. (forc_w.eq.1)) then
-           d_q_adv(l,1)=hq_mod_cas(l)-d_q_dyn_z(l)
-!          d_q_adv(l,1)=-1*hq_mod_cas(l)-d_q_dyn_z(l)
-        endif
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
          
         if (trad.eq.1) then
@@ -1025,5 +177,2 @@
        print *,'ust=',ust
       ENDIF
-      endif ! forcing_case2
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_nudge_sandu_astex.h
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_nudge_sandu_astex.h	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_nudge_sandu_astex.h	(revision 3605)
@@ -33,2 +33,10 @@
 
 
+	print*,'OLDLMDZ1D IOPH'
+      CALL iophys_ecrit('relax_thl',klev,'relax_thl','m/s',relax_thl)
+      CALL iophys_ecrit('d_t_adv',klev,'d_t_adv','m/s',d_t_adv)
+      CALL iophys_ecrit('temp',klev,'temp','m/s',temp)
+      CALL iophys_ecrit('q',klev,'q','m/s',q(:,1))
+      CALL iophys_ecrit('relax_q',klev,'relax_q','m/s',relax_q(:,1))
+      CALL iophys_ecrit('d_q_adv',klev,'d_q_adv','m/s',d_q_adv(:,1))
+
